//! Map specific game actions
use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize)]
pub struct MoveToken {
    /// Moved token
    pub token: String,
    /// Token original position - in case wall detection is required
    pub from: (i32, i32),
    /// Token final position
    pub to: (i32, i32),
}

pub struct InsertToken {
    pub token: String
}